Subject: Re: [PATCH] Move rmnet out of NET_VENDOR_QUALCOMM dependency

From: Jakub Kicinski <[email-masked]>
Date: Fri, 7 Jul 2023 15:12:06 -0700

On Fri, 7 Jul 2023 11:50:16 -0500 Justin Forbes wrote:
> > On Thu,  6 Jul 2023 09:51:52 -0500 Justin M. Forbes wrote:  
> > > The rmnet driver is useful for chipsets that are not hidden behind
> > > NET_VENDOR_QUALCOMM.  Move sourcing the rmnet Kconfig outside of the if
> > > NET_VENDOR_QUALCOMM as there is no dependency here.
> > >
> > > Signed-off-by: Justin M. Forbes <[email-masked]>  
> >
> > Examples of the chipsets you're talking about would be great to have in
> > the commit message.  
> 
> The user in the Fedora bug was using mhi_net with qmi_wwan.

Hm, if anything mhi_net should not be sitting directly in drivers/net/

I don't think this is a change in the right direction, just enable
VENDOR_QUALCOMM? Or am I missing something?